Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class SimpleChat

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractChatState
                  |
                  +--org.jbrain.qlink.state.SimpleChat

All Implemented Interfaces:
  QState

public class SimpleChat
extends AbstractChatState

Field Summary

Fields inherited from class org.jbrain.qlink.state.AbstractChatState
`_listener, _room, pad`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`SimpleChat(QSession session, java.lang.String room)`

Method Summary
`void` | `activate()`
`boolean` | `execute(Action a)`

Methods inherited from class org.jbrain.qlink.state.AbstractChatState
`addListener, getProfile, leaveRoom, process, sendUserList, showSeats`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleChat

    public SimpleChat(QSession session,
                      java.lang.String room)

Parameters:
  `session` -

Method Detail

### activate

    public void activate()
                  throws java.io.IOException

  Specified by:
    `activate` in interface `QState`
  Overrides:
    `activate` in class `AbstractState`
    `java.io.IOException`

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractChatState`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD